/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Plane Identification
 */
public enum EnumCV_PlaneIdentification {

	//Plane Identification - CID 3466
	RIGHT_ANTERIOR_OBLIQUE_R_40985("R-40985"),
	LEFT_ANTERIOR_OBLIQUE_R_10220("R-10220"),
	ANTERO_POSTERIOR_R_10206("R-10206"),
	LEFT_LATERAL_R_10236("R-10236"),
	CRANIAL_LAO_R_101C3("R-101C3"),
	CRANIAL_RAO_R_101C5("R-101C5"),
	CAUDAL_LAO_R_101C4("R-101C4"),
	CAUDAL_RAO_R_101C6("R-101C6");

	private String value;

	EnumCV_PlaneIdentification(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
